Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F153437820
D1999.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
833 B
Referenced Files
None
Subscribers
None
D1999.diff
View Options
Index: head/sys/boot/amd64/boot1.efi/generate-fat.sh
===================================================================
--- head/sys/boot/amd64/boot1.efi/generate-fat.sh
+++ head/sys/boot/amd64/boot1.efi/generate-fat.sh
@@ -13,7 +13,19 @@
FAT_SIZE=1600 #Size in 512-byte blocks of the produced image
-BOOT1_SIZE=64k
+BOOT1_SIZE=128k
+
+#
+# Known filenames
+# amd64: BOOTx64.efi
+# arm64: BOOTaa64.efi
+#
+if [ -z "$1" ]; then
+ echo "Usage: $0 filename"
+ exit 1
+fi
+
+FILENAME=$1
# Generate 800K FAT image
OUTPUT_FILE=fat.tmpl
@@ -28,7 +40,7 @@
mkdir -p stub/efi/boot
# Make a dummy file for boot1
-echo 'Boot1 START' | dd of=stub/efi/boot/BOOTx64.efi cbs=$BOOT1_SIZE count=1 conv=block
+echo 'Boot1 START' | dd of=stub/efi/boot/$FILENAME cbs=$BOOT1_SIZE count=1 conv=block
umount stub
mdconfig -d -u $DEVICE
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Wed, Apr 22, 4:22 AM (8 h, 41 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
31953039
Default Alt Text
D1999.diff (833 B)
Attached To
Mode
D1999: allow setting path for EFI bootloader and increase file size
Attached
Detach File
Event Timeline
Log In to Comment